//商城数据列表
var sc_data = [{
    value: 'sc_001',
    text: '光彩大市场'
}, {
    value: 'sc_002',
    text: '南翔家居博览中心'
}, {
    value: 'sc_003',
    text: '居然之家'
}, {
    value: 'sc_004',
    text: '弘阳家居'
}, {
    value: 'sc_005',
    text: '红星美凯龙'
}]

//行业数据列表
var hy_data = [{
    value: 'hy_001',
    text: '瓷砖'
}, {
    value: 'hy_002',
    text: '木门'
}, {
    value: 'hy_003',
    text: '橱柜'
}, {
    value: 'hy_004',
    text: '吊顶'
}, {
    value: 'hy_005',
    text: '硅藻泥'
}, {
    value: 'hy_006',
    text: '墙纸'
}, {
    value: 'hy_007',
    text: '油漆涂料'
}, {
    value: 'hy_008',
    text: '卫浴洁具'
}, {
    value: 'hy_009',
    text: '木地板'
}, {
    value: 'hy_010',
    text: '家具'
}, {
    value: 'hy_011',
    text: '灯具'
}, {
    value: 'hy_012',
    text: '厨卫电器'
}]

//品牌数据列表
var pp_data = [{
    value: 'pp_001',
    text: 'pp_001'
}, {
    value: 'pp_002',
    text: 'pp_002'
}]

 mui.init();
$(".input_img").attr("src", "img/icons/jiantou-down.png"); 
mui(function () {
    scPicker = new mui.PopPicker({
        layer: 1
    });
    scPicker.setData(sc_data);
});
//当点击选择框时执行选择的方法
$('.scDiv').on('click',function(){
    chooseSC()
})
//选择区域sss
function chooseSC(){
    //$(".scDiv .input_img").attr("src", "img/icons/jiantou-up.png");
    scPicker.show(function(items) {// items为选中的区域信息
        var adressStr = '';
        for (var i = 0; i < items.length; i++) {
            adressStr += items[i].text;
        }
        $('#sc_name').val(adressStr);
        //$(".input_img").attr("src", "img/icons/jiantou-down.png");
    });
}

mui(function () {
    hyPicker = new mui.PopPicker({
        layer: 1
    });
    hyPicker.setData(hy_data);
});
//当点击选择框时执行选择的方法
$('.hyDiv').on('click',function(){
    //$(".hyDiv .input_img").attr("src", "img/icons/jiantou-up.png");
    chooseHY()
})
//选择区域sss
function chooseHY(){
    hyPicker.show(function(items) {// items为选中的区域信息
        var adressStr = '';
        for (var i = 0; i < items.length; i++) {
            adressStr += items[i].text;
        }
        $('#hy_name').val(adressStr);
        //$(".input_img").attr("src", "img/icons/jiantou-down.png");
    });
}


mui(function () {
    ppPicker = new mui.PopPicker({
        layer: 1
    });
    ppPicker.setData(pp_data);
});
//当点击选择框时执行选择的方法
$('.ppDiv').on('click',function(){
    //$(".ppDiv .input_img").attr("src", "img/icons/jiantou-up.png");
    choosePP()
})
//选择区域sss
function choosePP(){
    ppPicker.show(function(items) {// items为选中的区域信息
        var adressStr = '';
        for (var i = 0; i < items.length; i++) {
            adressStr += items[i].text;
        }
        $('#pp_name').val(adressStr);
        //$(".input_img").attr("src", "img/icons/jiantou-down.png");
    });
}
//关闭选择器
function closeChoose(){ 
    //$(".input_img").attr("src", "img/icons/jiantou-down.png");
    scPicker.hide();
    hyPicker.hide();
    ppPicker.hide();
};
//表单验证
function validate() {
    var sc_name = $("#sc_name").val();
    var hy_name = $("#hy_name").val();
    var pp_name = $("#pp_name").val();
    var is_Set = false;
    var msg="";
    if(null == sc_name || "undefined" == typeof(sc_name) || "" == sc_name){
        if(! msg.length > 0){
            msg= "请选择商城 <br/>";
        }
    }
    if(null == hy_name || "undefined" == typeof(hy_name) || "" == hy_name){
        if(! msg.length > 0){
            msg = "请选择行业 <br/>";
        }
    }
    if(null == pp_name || "undefined" == typeof(pp_name) || "" == pp_name){
        if(! msg.length > 0){
            msg =  "请选择品牌<br/>";
        }
    }
    if(msg.length > 0){
        appcan.window.openToast(msg, 1000, 5);
        //mui.alert(msg,'提示','确定'); 
    }else{
        return is_Set = true;
    }
    return is_Set;
}


$("#font_1").attr("src", "img/font_1.png"); 
$("#font_2").attr("src", "img/font_2.png"); 
$("#font_3").attr("src", "img/font_3.png"); 