/**
 * @constant
 * @type {string}
 * @description 应用ID，可以在appcan应用管理中查看
 */
var APP_ID = '11705044'

/**
 * @constant
 * @type {string}
 * @description 应用KEY，可以在appcan应用管理中查看
 */
var APP_KEY = '694527ac-8c47-4339-b035-77157374617c'

/**
 * @constant
 * @type {string}
 * @description 服务器地址
 *              在开发APP端时
 *              推荐使用root_path()和app_root_path()获取服务器地址
 */
var ROOT_PATH = 'https://www.mylexuan.com/'
//var ROOT_PATH = 'http://www.lab.com/'
//var ROOT_PATH = 'http://www.test.com/'
/**
 * @constant
 * @type {string}
 * @description app文件夹名称
 *              默认为app
 */
var APP_PATH = 'app'

/**
 * @constant
 * @type {array}
 * @description 测试用网址
 *              在开发阶段，将服务器地址添加到这里
 */
var DEBUG_ROOT_PATH = new Array()
DEBUG_ROOT_PATH.push('https://www.mylexuan.com/')
//DEBUG_ROOT_PATH.push('http://localhost/')

/**
 * @constant
 * @type {number}
 * @description 非调试模式
 */
var DEBUG_NONE = 0
/**
 * @constant
 * @type {number}
 * @description 正常调试模式
 */
var DEBUG_COMMON = 2
/**
 * @constant
 * @type {number}
 * @description 当前调试模式
 */
var DEBUG_MODE = DEBUG_NONE

/**
 * @constant
 * @type {string}
 * @description 当前语言
 */
var LANGUAGE = 'zh_cn'

/**
 * @constant
 * @type {string}
 * @description 在腾讯开放平台申请的应用的ID
 *              申请地址：http://open.qq.com
 *              在第三方登录和分享时会用到
 *              如果不填写，将无法使用QQ登录和QQ分享
 */
var QQ_APP_ID = ''

/**
 * @constant
 * @type {string}
 * @description 在微信开放平台申请的应用的ID
 *              申请地址：http://open.weixin.qq.com
 *              在第三方登录和分享时会用到
 *              如果不填写，将无法使用微信登录和微信分享
 */
//var WEIXIN_APP_ID = ''
var WEIXIN_APP_ID = 'wx9832f4a56c7fe7a3'
/**
 * @constant
 * @type {string}
 * @description 在微信开放平台申请的应用的secret
 *              申请地址：http://open.weixin.qq.com
 *              在第三方登录和分享时会用到
 *              如果不填写，将无法使用微信登录和微信分享
 */
var WEIXIN_APP_SECRET = ''
//var WEIXIN_APP_SECRET = 'df01a32aa98e6034bf6426f9ebf63560'
/**
 * @constant
 * @type {string}
 * @description 商户ID，注册APP微信支付会生成一个唯一标识
 */
var WEIXIN_MCH_ID = '1507647801'
/**
 * @constant
 * @type {string}
 * @description APP支付KEY，可以在微信商户后台查看
 */
var WEIXIN_KEY = 'ggGUSWHDbbshjdbjdsfdjsbf7889jdfs'

/**
 * @constant
 * @type {string}
 * @description 在新浪微博开放平台申请的应用的app key
 *              申请地址：http://open.weibo.com/
 *              在分享时会用到
 *              如果不填写，将使用普通方式进行微博分享
 */
var WEIBO_APP_KEY = "";
/**
 * @constant
 * @type {string}
 * @description 在新浪微博开放平台申请的应用的app secret
 */
var WEIBO_APP_SECRET = "";
/**
 * @constant
 * @type {string}
 * @description 在新浪微博开放平台申请的应用对应的register url
 *              一般不用更改
 */
var WEIBO_REGISTER_URL = "https://api.weibo.com/oauth2/default.html";
/**
 * @constant
 * @type {string}
 * @description 合作者身份IDs
 */
var ALIPAY_PARTNER = ''
/**
 * @constant
 * @type {string}
 * @description 卖家支付宝账号或对应的支付宝唯一用户号
 */
var ALIPAY_SELLER = ''
/**
 * @constant
 * @type {string}
 * @description 合作者私钥
 */
var ALIPAY_PRIVATE_KEY = ''
/**
 * @constant
 * @type {string}
 * @description 支付宝公钥
 */
var ALIPAY_PUBLIC_KEY = ''

/**
 * @constant
 * @type {string}
 * @description 当前app端使用的主题名称
 */
var THEME = 'default'

/**
 * 动画持续时间
 * 单位:ms(毫秒)
 */
/**
 * @constant
 * @type {number}
 * @description 1秒钟
 */
var DUR_SECOND = 1000
/**
 * @constant
 * @type {number}
 * @description 1分钟
 */
var DUR_MINUTE = 60000
/**
 * @constant
 * @type {number}
 * @description 1小时
 */
var DUR_HOUR = 3600000
/**
 * @constant
 * @type {number}
 * @description 1天
 */
var DUR_DAY = 86400000
/**
 * @constant
 * @type {number}
 * @description 默认动画时间
 *              一般用于 打开窗口、关闭窗口、加载动画
 */
var DUR_ANIMATION = 200
/**
 * @constant
 * @type {number}
 * @description 默认弹窗时间
 */
var DUR_TOAST = 1000
/**
 * @constant
 * @type {number}
 * @description 默认自动轮播事件
 */
var DUR_AUTO_PLAY = 2000
/**
 * @constant
 * @type {number}
 * @description 在多久之内点击两次后退键退出应用
 */
var DUR_BACK = 3000
/**
 * @constant
 * @type {number}
 * @description 音频默认播放时间
 */
var DUR_AUDIO = 2000
/**
 * @constant
 * @type {number}
 * @description 请求超时时间
 */
var DUR_REQUEST_TIMEOUT = 15000
/**
 * @constant
 * @type {number}
 * @description 定位超时时间
 */
var DUR_GET_ADDRESS = 30000
/**
 * @constant
 * @type {number}
 * @description 定位间隔时间，默认为一小时
 */
var DUR_CHECK_GPS_LOCATION = DUR_HOUR

/**
 * 服务器端返回错误代码
 * 与服务器端的inc_constant.php保持一致
 * 主要用于page_err_func
 * 例如在app页面执行page_err_func[ERR_NEED_LOGIN_FIRST] = some_func
 * 在遇到ERR_NEED_LOGIN_FIRST错误的时候，就会执行some_func
 */
/**
 * @constant
 * @type {string}
 * @description 所有错误
 *           如果给page_err_func[ERR_ALL]赋值
 *           例如：page_err_func[ERR_ALL] = some_func
 *           将导致当前页面无论遇到什么错误都调用some_func
 *           并忽略针对其它错误的设置
 */
var ERR_ALL = '0'
/**
 * @constant
 * @type {string}
 * @description 其它错误
 *              如果服务器端返回了一个错误，例如ERR_NO_MORE_GOODS
 *              在page_err_func中没有找到对应的处理函数
 *              并且page_err_func[ERR_OTHERS] = some_func
 *              则调用some_func
 */
var ERR_OTHERS = '1'
/**
 * @constant
 * @type {string}
 * @description 需要登录
 */
var ERR_NEED_LOGIN_FIRST = '100'
/**
 * @constant
 * @type {string}
 * @description 没有库存
 */
var ERR_NO_MORE_GOODS = '101'
/**
 * @constant
 * @type {string}
 * @description 没有更多评论
 */
var ERR_NO_MORE_COMMENT = '102'
/**
 * @constant
 * @type {string}
 * @description 没有更多内容
 */
var ERR_END_OF_LIST = '103'
/**
 * @constant
 * @type {string}
 * @description APP不支持预售
 */
var ERR_NOT_SPT_PRE_SALE = '104'
/**
 * @constant
 * @type {string}
 * @description APP不支持虚拟商品
 */
var ERR_NOT_SPT_VIRTUAL_GOODS = '105'
/**
 * @constant
 * @type {string}
 * @description 需要验证余额支付密码
 */
var ERR_NEED_VERIFY_SURPLUS = '106'
/**
 * @constant
 * @type {string}
 * @description 要加购物车的数量超过限购数量
 */
var ERR_OVER_BUY_MAX = '107'
/**
 * @constant
 * @type {string}
 * @description 限购商品，需要登录
 */
var ERR_NEED_LOGIN_TO_BUY = '108'
/**
 * @constant
 * @type {string}
 * @description 结算时没有选择商品
 */
var ERR_NEED_SEL_GOODS = '109'
/**
 * @constant
 * @type {string}
 * @description 无法获取地理位置
 */
var ERR_GET_LOCATION = '110'
/**
 * @constant
 * @type {string}
 * @description 服务器没有设置引导页面
 */
var ERR_NO_GUIDE_PICTURE = '111'
/**
 * @constant
 * @type {string}
 * @description 不在配送范围内
 */
var ERR_NOT_IN_DISTRIBUTION = '112'
/**
 * @constant
 * @type {string}
 * @description 店铺关闭
 */
var ERR_SHOP_CLOSED = '113'
/**
 * @constant
 * @type {string}
 * @description 商品不存在
 */
var ERR_NOT_EXISTS = '1'
/**
 * @constant
 * @type {string}
 * @description 商品缺货
 */
var ERR_OUT_OF_STOCK = '2'
/**
 * @constant
 * @type {string}
 * @description 商品已下架
 */
var ERR_NOT_ON_SALE = '3'
/**
 * @constant
 * @type {string}
 * @description 商品不能单独销售
 */
var ERR_CANNT_ALONE_SALE = '4'
/**
 * @constant
 * @type {string}
 * @description 没有基本件
 */
var ERR_NO_BASIC_GOODS = '5'
/**
 * @constant
 * @type {string}
 * @description 需要用户选择属性
 */
var ERR_NEED_SELECT_ATTR = '6'

/**
 * 事件ID
 * 用于发布事件和注册事件
 * 例如subscribe(CHANNEL_LOGIN_SUCCESS,some_func)注册了登录成功事件
 * publish(CHANNEL_LOGIN_SUCCESS)发布登录成功事件，就会执行some_func函数
 */
/**
 * @constant
 * @type {string}
 * @description 登录成功
 */
var CHANNEL_LOGIN_SUCCESS = '100'
/**
 * @constant
 * @type {string}
 * @description 刷新购物车数量
 */
var CHANNEL_UPDATE_CART = '101'
/**
 * @constant
 * @type {string}
 * @description 更新收货人信息
 */
var CHANNEL_UPDATE_CONSIGNEE = '102'
/**
 * @constant
 * @type {string}
 * @description 退出登录
 */
var CHANNEL_LOGOUT_SUCCESS = '103'
/**
 * @constant
 * @type {string}
 * @description 添加关注
 */
var CHANNEL_FOLLOW_SUPPLIER = '104'
/**
 * @constant
 * @type {string}
 * @description 取消关注
 */
var CHANNEL_UNFOLLOW_SUPPLIER = '105'
/**
 * @constant
 * @type {string}
 * @description 加入购物车
 */
var CHANNEL_ADD_TO_CART = '106'
/**
 * @constant
 * @type {string}
 * @description 保存收货人信息
 */
var CHANNEL_SAVE_CONSIGNEE = '107'
/**
 * @constant
 * @type {string}
 * @description 发布晒单
 */
var CHANNEL_SAVE_SHAIDAN = '108'
/**
 * @constant
 * @type {string}
 * @description 发送留言
 */
var CHANNEL_SEND_MESSAGE = '109'
/**
 * @constant
 * @type {string}
 * @description 添加收藏
 */
var CHANNEL_COLLECT_GOODS = '110'
/**
 * @constant
 * @type {string}
 * @description 取消收藏
 */
var CHANNEL_UNCOLLECT_GOODS = '111'
/**
 * @constant
 * @type {string}
 * @description 下单成功
 */
var CHANNEL_ORDER_DONE = '112'
/**
 * @constant
 * @type {string}
 * @description 收到推送消息
 */
var CHANNEL_RECEIVE_MESSAGE = '113'
/**
 * @constant
 * @type {string}
 * @description 添加推送消息
 */
var CHANNEL_UPDATE_MESSAGE = '114'
/**
 * @constant
 * @type {string}
 * @description 更新用户信息
 */
var CHANNEL_UPDATE_USER_INFO = '115'
/**
 * @constant
 * @type {string}
 * @description 注册成功
 */
var CHANNEL_REGISTER_SUCCESS = '116'
/**
 * @constant
 * @type {string}
 * @description 获取当前位置
 */
var CHANNEL_GET_ADDRESS = '117'
/**
 * @constant
 * @type {string}
 * @description 无法获取当前位置
 */
var CHANNEL_GET_ADDRESS_FAIL = '118'
/**
 * @constant
 * @type {string}
 * @description 支付完成，无论成功还是失败
 */
var CHANNEL_PAY_RESPOND = '119'
/**
 * @constant
 * @type {string}
 * @description 取消登录
 */
var CHANNEL_ABORT_LOGIN = '120'
/**
 * @constant
 * @type {string}
 * @description 更改当前城市
 */
var CHANNEL_CHANGE_CITY = '121'
/**
 * @constant
 * @type {string}
 * @description 用户完成提现申请
 */
var CHANNEL_RAPLY_DONE = '122'
/**
 * @constant
 * @type {string}
 * @description 用户完成充值申请
 */
var CHANNEL_DEPOSIT_DONE = '123'
/**
 * @constant
 * @type {string}
 * @description 入口
 */
var CHANNEL_GLOBAL = '999'

/**
 * 搜索类型
 */
/**
 * @constant
 * @type {string}
 * @description 商品搜索记录
 */
var SEARCH_HISTORY_GOODS = '0'
/**
 * @constant
 * @type {string}
 * @description 店铺搜索记录
 */
var SEARCH_HISTORY_SHOP = '1'
/**
 * @constant
 * @type {string}
 * @description 热门搜索关键词
 */
var SEARCH_HISTORY_HOT = '2'

/**
 * 窗口动画ID
 * 用于打开窗口、打开弹窗等
 */
/**
 * @constant
 * @type {string}
 * @description 无动画
 */
var ANIM_NONE = '0'
/**
 * @constant
 * @type {string}
 * @description 淡入淡出
 */
var ANIM_FADE_IN_FADE_OUT = '5'
/**
 * @constant
 * @type {string}
 * @description 从左向右切入
 */
var ANIM_LEFT_TO_RIGHT = '9'
/**
 * @constant
 * @type {string}
 * @description 从右向左切入
 */
var ANIM_RIGHT_TO_LEFT = '10'
/**
 * @constant
 * @type {string}
 * @description 从上向下切入
 */
var ANIM_TOP_TO_BOTTOM = '11'
/**
 * @constant
 * @type {string}
 * @description 从下向上切入
 */
var ANIM_BOTTOM_TO_TOP = '12'

/*
* 窗口类型
*/
/**
 * @constant
 * @type {string}
 * @description 标记被open的window为普通window
 */
var WIN_NONE = '0'
/**
 * @constant
 * @type {string}
 * @description 标记被open的window为专用于OAuth验证的window
 */
var WIN_OATH = '1'
/**
 * @constant
 * @type {string}
 * @description 标记被open的window要加载的网页为加密的网页
 */
var WIN_OBFUSCATION = '2'
/**
 * @constant
 * @type {string}
 * @description 标记被open的window无论是否已存在都将强行刷新页面
 */
var WIN_RELOAD = '4'
/**
 * @constant
 * @type {string}
 * @description 标记被open的window当中的view为不透明的
 */
var WIN_OPAQUE = '16'
/**
 * @constant
 * @type {string}
 * @description 从下向上切入
 */
var WIN_HIDDEN = '32'
/**
 * @constant
 * @type {string}
 * @description 使用此flag打开的窗口
 *              可以使用手势由左向右滑动来关闭窗口
 *              仅在iOS系统下有效
 *              注意：第一次使用此flag之后
 *              后续使用open方法(无论是否传入此flag)打开窗口
 *              都可以使用手势滑动来关闭窗口。
 */
var WIN_SLIDING_CLOSE = '1024'

/**
 * 设备信息
 * 用于uexDevice.getInfo()函数
 */
/**
 * @constant
 * @type {string}
 * @description 相机信息，打开扫码功能之前要使用
 */
var DEVICE_CAMERA = '6'

/**
 * 常用正则表达式
 */
/**
 * @constant
 * @type {object}
 * @description 商品链接
 * 请使用url_str.replace(REG_GOODS_LINK,'$2')来获取商品ID
 * 前提是REG_GOODS_LINK.test(url_str) === true
 */
var REG_GOODS_LINK = new RegExp('^' + ROOT_PATH.replace(/\//g, '\\/').replace(/\./g, '\\.') + '(mobile\\/){0,1}goods\\.php\\?id=([1-9]{1}[0-9]*)$', 'i')
/**
 * @constant
 * @type {object}
 * @description 店铺链接
 * 请使用url_str.replace(REG_SUPPLIER_LINK,'$2')来获取店铺ID
 * 前提是REG_SUPPLIER_LINK.test(url_str) === true
 */
var REG_SUPPLIER_LINK = new RegExp('^' + ROOT_PATH.replace(/\//g, '\\/').replace(/\./g, '\\.') + '(mobile\\/){0,1}supplier\\.php\\?suppId=([1-9]{1}[0-9]*)$', 'i');
/**
 * @constant
 * @type {object}
 * @description 优惠券代码
 */
var REG_BONUS_SN = /^[0-9]{10}$/
/**
 * @constant
 * @type {object}
 * @description 商品数量
 */
var REG_GOODS_NUMBER = /^[0-9]+$/
/**
 * @constant
 * @type {object}
 * @description 用户名称
 */
var REG_USER_NAME = /^[0-9A-Za-z_]+$/
/**
 * @constant
 * @type {object}
 * @description 本地文件名称
 */
var REG_LOCAL_FILE = /^[0-9A-Za-z_]+\.html$/
/**
 * 音效标识符
 */
/**
 * @constant
 * @type {string}
 * @description 收到消息音效标识符
 */
var AUD_MESSAGE = '1'
/**
 * @constant
 * @type {string}
 * @description 即时通讯消息
 */
var AUD_CHAT_MESSAGE = '2'
/**
 * @constant
 * @type {string}
 * @description 即时通讯消息
 */
var AUD_CHAT_NOTICE = '3'

/**
 * @constant
 * @type {array}
 * @description 音效标识符数组
 */
var AUD_PATH = new Object()
AUD_PATH[AUD_MESSAGE] = 'res://message.mp3'
AUD_PATH[AUD_CHAT_MESSAGE] = 'res://msg.wav'
AUD_PATH[AUD_CHAT_NOTICE] = 'res://notice.wav'
/**
 * 本地缓存特殊关键词
 */
/**
 * @constant
 * @type {string}
 * @description 服务器网址
 */
var KEY_ROOT_PATH = '_root_path'
/**
 * @constant
 * @type {string}
 * @description 从根页面到当前页面的路径
 */
var KEY_PATH = '_path'
/**
 * @constant
 * @type {string}
 * @description 商品浏览历史
 */
var KEY_GOODS_HISTORY = '_goods_history'
/**
 * @constant
 * @type {string}
 * @description 商品比较历史
 */
var KEY_GOODS_COMPARE = '_goods_compare'
/**
 * @constant
 * @type {string}
 * @description 搜索历史
 */
var KEY_SEARCH_HISTORY = '_search_history'
/**
 * @constant
 * @type {string}
 * @description 第一次打开app，用来判断是否显示引导页面
 */
var KEY_FIRST_OPEN_THIS_APP = '_first_open_this_app'
/**
 * @constant
 * @type {string}
 * @description 用户选择的区域
 */
var KEY_REGION = '_region'
/**
 * @constant
 * @type {string}
 * @description 设备GPS定位
 */
var KEY_LOCATION = '_location'
/**
 * @constant
 * @type {string}
 * @description 通知消息
 */
var KEY_MESSAGE = '_message'
/**
 * @constant
 * @type {string}
 * @description 不需要定位到当前城市
 */
var KEY_NO_NEED_CHANGE_TO_GPS = '_no_need_change_to_gps'
/**
 * @constant
 * @type {string}
 * @description 不需要更改区域
 */
var KEY_NO_NEED_CHANGE_REGION = '_no_need_change_regoin'

/**
 * 类型标识
 */
/**
 * @constant
 * @type {string}
 * @description 浏览器类型
 */
var TYPE_BROWSER = '0'
/**
 * @constant
 * @type {string}
 * @description APP类型
 */
var TYPE_APP = '1'
